<div class="form-group-preview">
    <ul class="formwidget-pagerevisions">
        <?php foreach($history as $record): ?>
        <li class="formwidget-pagerevisions__item">
            <details>
                <summary class="formwidget-pagerevisions__item-meta">
                    <?= Backend::dateTime($record->created_at); ?> |
                    <?php if ($record->user_id): ?><?= Lang::get('studiobosco.helpers::lang.changed_by', ['name' => $this->getUserName($record->user_id)]); ?><?php else: ?><?= Lang::get('studiobosco.helpers::lang.changed'); ?><?php endif; ?>
                    <?php if ($record->locale): ?> | <?= e(trans('backend::lang.backend_preferences.locale')); ?> <?= strtoupper($record->locale); ?><?php endif; ?>
                </summary>

                <div class="hidden" data-field-name="content-<?= $record->id; ?>">
                    <div class="form-control">
                        <pre><?= e($this->getCurrentContent($record->locale ?? null)); ?></pre>
                    </div>
                </div>
                <div class="hidden" data-field-name="old_content-<?= $record->id; ?>">
                    <div class="form-control">
                        <pre><?= e($record->old_content); ?></pre>
                    </div>
                </div>
                <div class="form-control m-b">
                    <pre
                        data-plugin="template-diff"
                        data-old-field-name="old_content-<?= $record->id; ?>"
                        data-new-field-name="content-<?= $record->id; ?>"
                        data-content-tag="pre"></pre>
                </div>
                <div>
                    <button
                        class="btn btn-secondary formwidget-pagerevisions__item-revert m-r"
                        data-request="<?= $this->getEventHandler('onRevertToVersion'); ?>"
                        data-request-data="revision_id: <?= $record->id; ?>,locale: '<?= $record->locale; ?>'"
                    >
                        <?= e(Lang::get('studiobosco.pagerevisions::lang.actions.revert_to_version')); ?>
                    </buton>
                    <?php if ($pagePreviewEnabled): ?>
                    <button
                        class="btn btn-secondary formwidget-pagerevisions__item-preview"
                        type="button"
                        onclick="previewPageVersion(this, '<?= $this->getEventHandler('onPreviewVersion'); ?>', '<?= $this->model->url; ?>', '<?= $record->id; ?>', '<?= $record->locale; ?>'); return false;"
                    >
                        <?= e(Lang::get('studiobosco.pagerevisions::lang.actions.preview_version')); ?>
                    </button>
                    <?php endif; ?>
                </div>
            </details>
        </li>
        <?php endforeach; ?>
    </ul>
</div>
